#!/usr/bin/perl -Tw

use Test::More 'no_plan';
use strict;

use CPAN::Indexes;

my $modules;
my $warnings;
{
    local $SIG{__WARN__} = sub {
        $warnings = join '', @_
    };
    $modules = read_packages("t/02packages.details.txt");
}

isnt( $modules, undef,      'read_packages() returned something' );
is( ref $modules, 'HASH',   "  it's a hash ref" );
is( $warnings,    '',       '  and no warnings' );

ok( exists $modules->{Sex},               'Have Sex' );
is( $modules->{Sex}{version}, 0.69,       '  right version' );
is( $modules->{Sex}{file}, 'M/MS/MSCHWERN/Sex-0.69.tar.gz', '  right file' );
is( $modules->{Sex}{comment}, '',         '  no comment' );
is( $modules->{Sex}{author},  'MSCHWERN', '  right author' );


my $authors = read_authors("t/01mailrc.txt");
isnt( $authors, undef,      'read_authors() returned something' );
is( ref $authors, 'HASH',   "  it's a hash ref" );

ok( exists $authors->{MSCHWERN},                    'MSCHWERN is an author' );
is( $authors->{MSCHWERN}{name},  'Michael G Schwern',    '  right name' );
is( $authors->{MSCHWERN}{email}, 'schwern@pobox.com',    '  right email' );
